Page MenuHomePhabricator

[Story] Add icons to text in toolbars
Closed, ResolvedPublic

Description

  • [Task] Make oojs-ui available in entity view
  • [Task] Add icons to edit, save, remove, cancel text-buttons and remove brackets (T113476)
  • [Task] Add icons to add qualifier add reference add statement text-button and remove brackets (T113476) (only replace "add")
  • [Task] Add icons to collapse text-buttons and remove brackets (T113476)

Reduce the button text size
Alt/Title text must be set to enable hint and screen readers

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterAdd button icon when missing in the HTML template
mediawiki/extensions/Wikibase : masterAlso load button icons with JavaScript disabled
mediawiki/extensions/Wikibase : masterFix toolbar icon hover CSS
mediawiki/extensions/Wikibase : masterAdd icons to text in toolbars

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Medium.
Tobi_WMDE_SW updated the task description. (Show Details)
Jonas renamed this task from Replace text in toolbars with icons to [Story] Replace text in toolbars with icons.Sep 10 2015, 2:59 PM
Jonas set Security to None.
Jonas updated the task description. (Show Details)Sep 24 2015, 9:31 AM
Jonas updated the task description. (Show Details)Sep 24 2015, 9:44 AM
Ricordisamoa added a subscriber: Ricordisamoa.
Jonas updated the task description. (Show Details)Sep 25 2015, 9:45 AM
Jonas updated the task description. (Show Details)

@Ricordisamoa could you please explain why you gave a thumps down?
Should the page stay text only? Or would you prefer to have icons in addition to text?

@Ricordisamoa could you please explain why you gave a thumps down?
Should the page stay text only? Or would you prefer to have icons in addition to text?

Icons are based on design, rather than usability, grounds. Text is also clearer and less likely to mess the alignment up.

https://www.goodui.org/#47

I also heavily disagree with icon-only buttons. We currently have one (the trash can) which is kind of ok-ish, but we definitely should not have more of these. Look at what Visual Editor does. Icons + text, pretty much never an icon alone.

I am totally fine with having icons additionally to the existing texts, but I really love to see icons on Wikidata.
So I am proposing this to be discussed in Story Time @Lydia_Pintscher

Jonas renamed this task from [Story] Replace text in toolbars with icons to [Story] Add icons to text in toolbars (mockup).Oct 6 2015, 9:58 AM
Jonas updated the task description. (Show Details)
Jonas updated the task description. (Show Details)Oct 19 2015, 3:18 PM
Jonas updated the task description. (Show Details)
Jonas renamed this task from [Story] Add icons to text in toolbars (mockup) to [Story] Add icons to text in toolbars.Nov 2 2015, 1:26 PM
Jonas moved this task from Backlog to Doing on the Wikidata-Sprint-2015-11-03 board.

Change 252430 had a related patch set uploaded (by Jonas Kress (WMDE)):
Add icons to text in toolbars

https://gerrit.wikimedia.org/r/252430

Jonas updated the task description. (Show Details)Nov 11 2015, 2:58 PM

LTR not working at the moment.

Jonas updated the task description. (Show Details)Nov 13 2015, 7:33 PM

This is what it looks after cleaning up:

Jonas updated the task description. (Show Details)Nov 20 2015, 4:14 PM
Bene added a subscriber: Bene.Nov 21 2015, 2:15 PM
Bene added a comment.Dec 1 2015, 2:42 PM

At least two gadgets (written by me) add custom edit links to the ui. They are called the Move.js and DuplicateReferences.js. We need to adopt them to the new ui by removing brackets or pipes they add and by giving them icons which fit them.

Change 252430 merged by jenkins-bot:
Add icons to text in toolbars

https://gerrit.wikimedia.org/r/252430

Jonas closed this task as Resolved.Dec 2 2015, 11:35 AM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2015-11-17 board.

Change 256711 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fix toolbar icon hover CSS

https://gerrit.wikimedia.org/r/256711

Change 256711 merged by jenkins-bot:
Fix toolbar icon hover CSS

https://gerrit.wikimedia.org/r/256711

Change 257312 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Also load button icons with JavaScript disabled

https://gerrit.wikimedia.org/r/257312

Change 257312 merged by jenkins-bot:
Also load button icons with JavaScript disabled

https://gerrit.wikimedia.org/r/257312

Change 257890 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Add button icon when missing in the HTML template

https://gerrit.wikimedia.org/r/257890

Change 257890 abandoned by Thiemo Mättig (WMDE):
Add button icon when missing in the HTML template

Reason:
Obsolete via Ifc81a47 and per FIXME.

https://gerrit.wikimedia.org/r/257890